Summary: startup scripts for Dan Bernstein's qmail package
%define name e-smith-qmail
Name: %{name}
%define version 1.8.0
%define release 01
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: qmail daemontools >= 0.70
Obsoletes: qmail-initscripts
AutoReqProv: no

%changelog
* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Changing version to stable stream number - 1.8.0

* Wed Nov  6 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- Rolling development stream version to 1.7.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Roll to maintained version number to 1.6.0

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.6.0-01]
- Roll to maintained version number to 1.6.0

* Wed Aug 21 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.1-01]
- Remove bogus e-smith-base dependency, which shows as an unmet
  dependency on our workstations.
- Add rc7.d symlink [charlieb 4458]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-01]
- Changing version to development stream number to 1.5.0

* Fri May 31 2002 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Changing version to maintained stream number to 1.4.0

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.9-01]
- RPM rebuild forced by cvsroot2rpm

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.8-01]
- testing co2rpm --force

* Thu May 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.3.7-01]
- Remove world read and execute permission from qmail log directory.

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.6-01]
- /supervise/qmail -> /service/qmail  [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.5-01]
- Added /bin, /usr/bin and /usr/local/bin to qmail's path [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.4-01]
- And create /var/log/qmail [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.3-01]
- And create directory for pipes to be written to [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.2-01]
- Created pipes, symlinks and empty files in SPEC file [gordonr 3044]

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.1-01]
- Initial CVS import

* Thu Apr 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-01]
- rollRPM: Rolled version number to 1.3.0-01. Includes patches up to 1.2.0-02.

* Fri Aug 17 2001 gordonr
- [1.2.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-04.

* Tue May 1 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-04]
- added /var/log/qmail to filelist

* Tue May 1 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-03]
- added migrate-qmail-logfiles action to post-upgrade

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-02]
- added conf-migrate-qmail-variables actions to migrate qmail.init
  configuration variable to qmail
- added e-smith header to files

* Mon Apr 30 2001 Peter Samuel <peters@e-smith.com>
- [1.1.0-01]
- initial release

%description
Startup scripts for Dan Bernstein's qmail package.

%prep
%setup
mkdir -p root/etc/rc.d/init.d
ln -s daemontools root/etc/rc.d/init.d/qmail
mkdir -p root/etc/rc.d/rc7.d
ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S80qmail

mkdir -p root/service
ln -s /var/qmail/etc/service/qmail root/service/qmail

mkdir -p root/var/qmail/etc/service/qmail/supervise
mkfifo --mode=0644  root/var/qmail/etc/service/qmail/supervise/control
touch               root/var/qmail/etc/service/qmail/supervise/lock
touch               root/var/qmail/etc/service/qmail/supervise/status
mkfifo --mode=0644  root/var/qmail/etc/service/qmail/supervise/ok

mkdir -p root/var/qmail/etc/service/qmail/log/supervise
mkfifo --mode=0644  root/var/qmail/etc/service/qmail/log/supervise/control
touch               root/var/qmail/etc/service/qmail/log/supervise/lock
touch               root/var/qmail/etc/service/qmail/log/supervise/status
mkfifo --mode=0644  root/var/qmail/etc/service/qmail/log/supervise/ok

mkdir -p root/var/log/qmail

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    | grep -v /var/log/qmail \
    | grep -v /var/qmail/etc/service/qmail \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(1755,root,root)/var/qmail/etc/service/qmail" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0644,root,root)/var/qmail/etc/service/qmail/down" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0755,root,root)/var/qmail/etc/service/qmail/run" \
    >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(0700,root,root)/var/qmail/etc/service/qmail/supervise" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0600,root,root)/var/qmail/etc/service/qmail/supervise/control" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0600,root,root)/var/qmail/etc/service/qmail/supervise/lock" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0600,root,root)/var/qmail/etc/service/qmail/supervise/ok" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0644,root,root)/var/qmail/etc/service/qmail/supervise/status" \
    >> %{name}-%{version}-%{release}-filelist

echo "%dir %attr(0755,root,root)/var/qmail/etc/service/qmail/log" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0755,root,root)/var/qmail/etc/service/qmail/log/run" \
    >> %{name}-%{version}-%{release}-filelist
echo "%dir %attr(0700,root,root)/var/qmail/etc/service/qmail/log/supervise" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0600,root,root)/var/qmail/etc/service/qmail/log/supervise/control" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0600,root,root)/var/qmail/etc/service/qmail/log/supervise/lock" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0600,root,root)/var/qmail/etc/service/qmail/log/supervise/ok" \
    >> %{name}-%{version}-%{release}-filelist
echo "%attr(0644,root,root)/var/qmail/etc/service/qmail/log/supervise/status" \
    >> %{name}-%{version}-%{release}-filelist

echo "%dir %attr(2750,qmaill,nofiles)/var/log/qmail" \
    >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
